// http://www.multimedialab.be/
// realise avec processing 0123 BETA

// initialisation

void setup() {
  size (900,600);
  background(255, 255, 255); 
  lecture ();
}

// definition des sequences de caracteres permettant un traitement (comparaison, exxtraction, recherche, conversion, etc)
// http://processing.org/reference/String.html

String text[];
String phrase[];

//definition des variables
float taille_texte;
float phrase_aleatoire;

// prelevement du texte en ligne

void lecture() {

  // "Leaves of Grass" par Walt Whitman lu sur gutenberg.org/
  // variante : pointer un .txt sur votre machine : loadStrings("montexte.txt")
  // (dans ce cas, le .txt doit se trouver dans un dossier nomme "data" a l'interieur du dossier du sketch)
  text = loadStrings("http://www.gutenberg.org/files/1322/1322.txt");

  // definition d'une variable de longueur de texte
  taille_texte= text.length;

  // affichage d'infos dans la console
  print ("ouverture d'un fichier .txt de " + int(taille_texte) + " lignes.\n");
}

// definition d'une variable "integer" i 
// rappel : integer = nombre entier / float = nombre decimal (avec virgule)
int i;

// definition de l'action du programme
void draw() {

  // choix d'un meilleur rendu graphique, anti-alias
  smooth();

  // pioche aleatoirement dans le texte dans la limite des valeurs entre parentheses.
  // ces valeurs correspondent au debut et a la fin du texte, 
  // excluant les mentions obligatoires du texte (ours et colophon)
  // http://fr.wikipedia.org/wiki/Ours_%28imprimerie%29
  // http://fr.wikipedia.org/wiki/Colophon

  phrase_aleatoire=random(270,17708);

  // integration de la police
  PFont police;

  // choix de la police (veiller a convertir une police : tools > create font)
  // cette fonte est téléchargeable librement ici : http://www.smeltery.net/fonts/audimat
  police = loadFont("AUdimat-Regular-48.vlw");

  // couleur aleatoire pour la police
  fill(random(255),random(255),random(255)); // couleur aleatoire

  // taille de police aleatoire entre 12 et 14 points
  textFont(police, random(14,60));

  // placement aleatoire des phrases dans la limite des valeurs entre parentheses
  text(text[int(phrase_aleatoire)], random(0,200), random(0,600));

  // affiche des phrases
  i++;

  // si plus de 100 phrases, nouveau fond de couleur aleatoire, puis recommence
  if (i>100){
    background(random(230,255),random(220,255),random(200,255));
    i=0;

  }
}

// action executee en boucle

void loop() {

  draw();
}  

